---
title: DeviceMotionEvent.interval
slug: Web/API/DeviceMotionEvent/interval
tags:
  - API
  - Device Orientation
  - Experimental
  - Mobile
  - Motion
  - NeedsExample
  - Orientation
  - Property
  - Reference
---
<p>{{APIRef("Device Orientation Events")}}</p>

<p>Returns the interval, in milliseconds, at which data is obtained from the underlaying hardware. You can use this to determine the granularity of motion events.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>interval</var> = <var>deviceMotionEvent</var>.interval;
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Device Orientation")}}</td>
   <td>{{Spec2("Device Orientation")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DeviceMotionEvent.interval")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{DOMxRef("DeviceMotionEvent")}}</li>
 <li>{{Event("devicemotion")}}</li>
 <li>{{DOMxRef("window.ondevicemotion")}}</li>
 <li>{{Event("deviceorientation")}}</li>
 <li>{{DOMxRef("DeviceOrientationEvent")}}</li>
 <li><a href="/en-US/docs/WebAPI/Detecting_device_orientation">Detecting device orientation</a></li>
 <li><a href="https://developer.mozilla.org/en/DOM/Orientation_and_motion_data_explained" title="Orientation and motion data explained">Orientation and motion data explained</a></li>
</ul>
